Skip to main content
`Ctrl`+`K`

# PetscObjectDestroy

Destroys a `PetscObject`, regardless of the type.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscObjectDestroy(PetscObject *obj)

Collective

## Input Parameter

- obj - any PETSc object, for example a `Vec`, `Mat` or `KSP`. It must be cast with a (`PetscObject`*), for example, `PetscObjectDestroy`((`PetscObject`*)&mat);

## See Also

`PetscObject`

## Level

beginner

## Location

src/sys/objects/destroy.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages